Login to ECE

  • POST /users/auth/_login
Auth

Authenticates against available users.

Request body

The login request

username string required

The username part of the login request

password string required

The plain text password part of the login request

login_state object

Configure how the API responds after a successful login.

path string

The path to which to redirect post login - if not specified then no redirect is performed, instead 200 is returned with the token in the body

Responses

Login successful, returns the token in the body (if 'login_state.path' not specified)

application/json
token string required

The authorization bearer token that you use in subsequent requests

session_expiration_time string · format: date-time required

The time that the session token will expire

Redirects to '/sso/token#BEARER_TOKEN?state=LOGIN_STATE' with the fragment containing a bearer token (if 'login_state.path' is specified)

application/json

Response Type: object

The supplied authentication is invalid. (code: root.unauthenticated)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

The administrator needs to configure the authentication cluster. (code: authc.no_authentication_cluster)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

The authentication cluster failed to process the request. The response body contains details about the error. (code: authc.authentication_cluster_error)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response